<template>
  <popper arrow class="rui-help-button">
    <rui-button :title="$t('rui.help_button.help')"
                icon="help"
                variant="helping"
                class="rui-help-button__trigger"
                text />
    <template v-if="content || $slots.default" #content>
      <div class="rui-help-button__content">
        <!-- @slot Default slot. Overrides `content` props -->
        <slot>{{ content }}</slot>
      </div>
    </template>
  </popper>
</template>

<script>
import Popper from 'vue3-popper'
import RuiButton from '../Button/Button.vue'

/**
 * Button which displays some help once clicked
 *
 * @preset default { "props": { "content": "Here, some help" } }
 */
export default {
  name: 'RuiHelpButton',
  components: { RuiButton, Popper },
  props: {
    /** Text content. Is overridden by default slot */
    content: { required: false, type: String, default: null },
  },
}
</script>
